Bug 1250674

Summary: please build golang-googlecode-gcfg for epel7
Product: [Fedora] Fedora EPEL Reporter: Carl George <carl>
Component: golang-googlecode-gcfgAssignee: FridolĂ­n PokornĂ˝ <fpokorny>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: adam, fpokorny, golang-updates, jchaloup, lsm5, vbatts
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-14 13:39:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1250094    

Description Carl George 2015-08-05 18:28:49 UTC
Description of problem:

I would like to see asciinema in epel7.  The latest version requires this go package.  Please build it for epel7.

Comment 1 Adam Goode 2015-12-09 04:37:40 UTC
https://fedoraproject.org/wiki/Getting_a_Fedora_package_in_EPEL#The_procedure_for_getting_a_package_in_EPEL

"If there is no answer within seven days the proposed EPEL maintainer is free to request the EPEL branch and become the EPEL Maintainer (CC the Fedora maintainer here as well)."

Comment 2 Jan Chaloupka 2015-12-24 14:34:37 UTC
I don't think it is a good idea to debundle golang dependencies for epel7 as
there is a high chance of migrating epel7 projects into rhel7 causing repeated
removal of dependencies from epel7.

The same happened for etcd. I am not against debundling in epel7. However,
after experience with fedora and el6, it just another overhead without much
benefits. Asciinema can be built from bundled deps (following the recent guideline change). Just Provides: bundled(...) needs to be added to its spec file.

Comment 3 Carl George 2016-07-14 13:39:28 UTC
This is no longer needed, asciinema switched back to Python.